Bug 151791 - Line wrap broken after new bug submitted
Summary: Line wrap broken after new bug submitted
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
(Show other bugs)
Version: 3.2
Hardware: i386 Linux
high
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-22 13:28 UTC by Brian Long
Modified: 2013-06-24 02:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 17:06:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of bugzilla line wrap issue using Firefox on RHEL 4 (180.12 KB, image/png)
2005-03-22 13:28 UTC, Brian Long
no flags Details

Description Brian Long 2005-03-22 13:28:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1 Red Hat/1.0.1-1.4.3

Description of problem:
I just entered bz 151789 and, as you can see, the text I entered while opening the bug is not wrapped.  My previous bugs entered with the old bz (137051) are wrapped fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enter bug.
2. View bug.
3. Line wrap not enabled.
  

Actual Results:  No line wrap.

Expected Results:  Lines should wrap.

Additional info:

Comment 1 Brian Long 2005-03-22 13:28:52 UTC
Created attachment 112211 [details]
Screenshot of bugzilla line wrap issue using Firefox on RHEL 4

Comment 2 Göran Uddeborg 2005-05-07 19:35:37 UTC
An observation: It's only the original description of a report where line
wrapping fails.  The one sometimes called comment 0.  In later comments, 1 and
higher, it works.

Comment 3 David Lawrence 2005-08-23 20:11:02 UTC
Added "white-space: -moz-pre-wrap;" to the CSS resposible for displaying comments
which helps this for Mozilla/Firefox users. This unfortunately does not help
Internet Explorer users. Something on the server side will need to be done for
those unless IE has a CSS equivalent that can be used as well. Server side is 
non-trivial cause the care needs to be taken not to break URL's or debugging
code where it should not be.

Comment 4 David Lawrence 2008-09-16 16:52:15 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 5 Brian Long 2008-09-16 17:06:56 UTC
Let's just close this bug.  I've not seen it again with the new bugzilla.


Note You need to log in before you can comment on or make changes to this bug.